Option Explicit
RunAsAdmin()

Dim objWshShl, objFSO, strRct2Dir, strCurrentPath, intLenght
Set objWshShl = WScript.CreateObject("WScript.Shell")
Set objFSO = WScript.CreateObject("Scripting.FileSystemObject")

strCurrentPath = WScript.ScriptFullName
intLenght = Len(strCurrentPath) - 8
strCurrentPath = Mid(strCurrentPath,1,intLenght)

objWshShl.CurrentDirectory = strCurrentPath

If Not objFSO.FileExists("g1.dat") Then 
	MsgBox "Error g1.dat not found!",16,"Error"
	WScript.Quit()
End If
If Not objFSO.FileExists("save.sv6") Then 
	MsgBox "Error save.sv6 not found!",16,"Error"
	WScript.Quit()
End If

On Error Resume Next
Err.Clear()
strRct2Dir = objWshShl.RegRead("HKLM\SOFTWARE\Infogrames\RollerCoaster Tycoon 2 Setup\Path")
If Err.Number <> 0 Then
	Err.Clear()
	strRct2Dir = objWshShl.RegRead("HKLM\SOFTWARE\Wow6432Node\Infogrames\RollerCoaster Tycoon 2 Setup\Path")
	If Err.Number <> 0 Then
			MsgBox "Cannot Locate RCT2 Directory In Registry",16,"Error"
			WScript.Quit()
	End If
End If

Err.Clear()

objFSO.MoveFile strRct2Dir & "\data\g1.dat", strRct2Dir & "\oldg1.dat"
WScript.Sleep 500
objFSO.CopyFile strCurrentPath & "g1.dat", strRct2Dir & "\data\g1.dat"
WScript.Sleep 500

objWshShl.Run "save.sv6"

If Err.Number <> 0 Then
	objFSO.DeleteFile strRct2Dir & "\data\g1.dat"
	objFSO.MoveFile strRct2Dir & "\oldg1.dat", strRct2Dir & "\data\g1.dat"	
	MsgBox "An Error Has Occured", 16,"Error"
	WScript.Quit()
End If

On Error Goto 0

'wait 10 seconds for save to load so g1 can be loaded in memory before overwriting it.

WScript.Sleep 10000
objFSO.DeleteFile strRct2Dir & "\data\g1.dat"
objFSO.MoveFile strRct2Dir & "\oldg1.dat", strRct2Dir & "\data\g1.dat"

Function RunAsAdmin()
	If WScript.Arguments.length = 0 Then
		CreateObject("Shell.Application").ShellExecute "wscript.exe", """" & _
		WScript.ScriptFullName & """" & " RunAsAdministrator",,"runas", 1
		WScript.Quit
	End If
End Function



